package category;

/**
 * A Category that can be assigned to a link to group links with similar content.
 * Categories need a unique name, by which they can be identified for the user.
 * They can be created by the user.
 */
public class Category {

	private final CategoryName name;
	private final CategoryId id;

	public Category(final CategoryName name, final CategoryId id) {
		this.name = name;
		this.id = id;
	}

	public CategoryName getName() {
		return name;
	}

	@Override
	public String toString() {
		return name.toString();
	}

	public CategoryId getId() {
		return id;
	}
}
